Open SCAP Library: oval_test Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_test Struct Reference
OVAL » OVALDEF

An Oval_test specifies a technical control by identifying an oval_object that is evaluated on an instrumented host platform and, optionally, an Oval_state instance that matches the object query. More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_test * | oval_test_new (struct oval_definition_model *, const char *id)
| Construct new instance of oval_test. More...
struct oval_test * | oval_test_clone (struct oval_definition_model *new_model, struct oval_test *old_test)
| Clone instance of oval_test and add it to the specified oval_definition_model. More...
void | oval_test_free (struct oval_test *)
| Destruct instance of oval_test.
Setters
void | oval_test_set_subtype (struct oval_test *, oval_subtype_t subtype)
| Sets attributes oval_test->subtype and Oval_test->family. More...
void | oval_test_add_note (struct oval_test *, char *note)
| Appends a copy of the note parameter to attribute oval_test->notes. More...
void | oval_test_set_comment (struct oval_test *, char *comment)
| Sets a copy of the comment parameter to attribute oval_test->comment. More...
void | oval_test_set_deprecated (struct oval_test *, bool deprecated)
| Sets attribute oval_test->deprecated.
void | oval_test_set_version (struct oval_test *, int version)
| Sets attribute oval_test->version. More...
void | oval_test_set_state_operator (struct oval_test *, oval_operator_t)
| Sets attribute oval_test->state_operator.
void | oval_test_set_existence (struct oval_test *, oval_existence_t)
| Sets attribute oval_test->existence. More...
void | oval_test_set_check (struct oval_test *, oval_check_t)
| Sets attribute oval_test->check. More...
void | oval_test_set_object (struct oval_test *, struct oval_object *)
| Sets attribute oval_test->object. More...
void | oval_test_add_state (struct oval_test *, struct oval_state *)
| Add the specified state to the state list of the specified test. More...
Getters
oval_family_t | oval_test_get_family (struct oval_test *)
| Returns attribute Oval_test->family.
oval_subtype_t | oval_test_get_subtype (struct oval_test *)
| Returns attribute Oval_test->subtype.
struct oval_string_iterator * | oval_test_get_notes (struct oval_test *)
| Returns attribute oval_test->notes. More...
char * | oval_test_get_comment (struct oval_test *)
| Returns attribute Oval_test->comment. More...
char * | oval_test_get_id (struct oval_test *)
| Returns attribute oval_test->id. More...
bool | oval_test_get_deprecated (struct oval_test *)
| Returns attribute oval_test->deprecated.
int | oval_test_get_version (struct oval_test *)
| Returns attribute oval_test->version.
oval_operator_t | oval_test_get_state_operator (struct oval_test *)
| Returns attribute oval_test->state_operator.
oval_existence_t | oval_test_get_existence (struct oval_test *)
| Returns attribute oval_test->existence.
oval_check_t | oval_test_get_check (struct oval_test *)
| Returns attribute oval_test->check.
struct oval_object * | oval_test_get_object (struct oval_test *)
| Returns attribute oval_test->object. More...
struct oval_state_iterator * | oval_test_get_states (struct oval_test *)
| Returns attribute oval_test->states. More...

## Data Fields
struct oval_definition_model * | model
oval_subtype_t | subtype
struct oval_collection * | notes
char * | comment
char * | id
int | deprecated
int | version
oval_existence_t | existence
oval_check_t | check
oval_operator_t | state_operator
struct oval_object * | object
struct oval_collection * | states

## Detailed Description

An Oval_test specifies a technical control by identifying an oval_object that is evaluated on an instrumented host platform and, optionally, an Oval_state instance that matches the object query.

The documentation for this struct was generated from the following files:

- oval_test.c
- oval_definitions.h